MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002003VCMIGUI - PreGamepublic2014-12-24 23:222015-11-13 22:00
ReporterAlexVSharp 
Assigned ToTow 
PriorityhighSeverityminorReproducibilityalways
StatusassignedResolutionopen 
PlatformPCOSLinux MintOS Version17 'Qiana'
Product Version0.97 
Target VersionFixed in Version 
Summary0002003: Resolution always defaults to 800x600
DescriptionNo matter if I use the launcher or edit the 'settings.json' file manually the resolution always defaults to 800x600 upon game start. This happens regardless if fullscreen is on or off.

Changing the setting via the launcher does reflect in 'settings.json', however starting the client (both from the launcher and directly) removes the added lines.
Steps To ReproduceIt happens every time on my machine.
Additional InformationRunning x64 MATE desktop environment, version 1.8.1

Graphic card is AMD Radeon HD 5770, proprietary drivers vesion 13.35.5
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0002260assignedSXX Resolution in vcmilauncher can't be applied 

-  Notes
(0005273)
SXX (administrator)
2014-12-24 23:48

Most likely you didn't enabled mod for high resolutions support.
Try to enable "Extra resolutions" in "VCMI essential files".
(0005274)
AlexVSharp (reporter)
2014-12-25 00:20

There does not seem to be an 'Extra resolutions' option in the launcher. Also worth mentioning that upon trying to reinstall the 'VCMI essentials files' it fails with the error 'vcmi: Failed to delete mod data'.

After installing the core files manually there are still no option for the essentials mod.
(0005275)
SXX (administrator)
2014-12-25 00:46

"VCMI essential files" should have "Extra resolutions" submod inside.
Though I do checked that if I remove mine ~/.local/share/vcmi/ there is no way to re-download "VCMI essential files" which is weird.

Hopefully someone who know a bit more about packaging can give a hint on that.
(0005277)
Kantor (updater)
2014-12-25 10:03

Such package has been uploaded by Ivan here: http://forum.vcmi.eu/viewtopic.php?p=13121#13121 [^]
(0005279)
AlexVSharp (reporter)
2014-12-25 12:46

After manually copying the package provided by Ivan the issue is resolved. The problem seems to be with downloading the 'VCMI essentials files' mod through the launcher.
(0006079)
SXX (administrator)
2015-11-11 17:56

We really need to resolve this one. Why the mod isn't in main repository?
(0006080)
Warmonger (administrator)
2015-11-11 20:21
edited on: 2015-11-11 20:55

"VCMI Essential Files" is not a mod on Launcher server, it is a part of VCMI package distributed for Windows. I don't know how the files are distributed for other platforms.

Agree they could be moved to main repository. But this needs consultation with Linux devs.

(0006081)
SXX (administrator)
2015-11-11 21:30

I talked with Ivan and he said that idea was that version in git (and as result distributed on Linux) must always have version "0.0" while repository should contain versioned one that contain extra resolutions, etc.

He said that he have access and can fix it tomorrow.
(0006082)
SXX (administrator)
2015-11-13 22:00

So repository now fixed (no idea if it's Ivan or Warmonger, but thanks!).
Though launcher on Linux still struggle to update it properly. :-(

- Issue History
Date Modified Username Field Change
2014-12-24 23:22 AlexVSharp New Issue
2014-12-24 23:22 AlexVSharp Status new => assigned
2014-12-24 23:22 AlexVSharp Assigned To => Tow
2014-12-24 23:48 SXX Note Added: 0005273
2014-12-25 00:20 AlexVSharp Note Added: 0005274
2014-12-25 00:46 SXX Note Added: 0005275
2014-12-25 10:03 Kantor Note Added: 0005277
2014-12-25 12:46 AlexVSharp Note Added: 0005279
2015-11-11 17:54 SXX Relationship added has duplicate 0002260
2015-11-11 17:56 SXX Note Added: 0006079
2015-11-11 20:21 Warmonger Note Added: 0006080
2015-11-11 20:55 Warmonger Note Edited: 0006080 View Revisions
2015-11-11 21:30 SXX Note Added: 0006081
2015-11-13 22:00 SXX Note Added: 0006082

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2019 MantisBT Team
Hosting provided by DigitalOcean